from sqlmodel import SQLModel, Field

from knoc.settings import settings
from knoc_splynx.models_orig import SplynxCustomerModel


class Customer(SQLModel, table=True):
    __tablename__: str = settings.splynx.db_table_customers  # type: ignore
    __table_args__ = {"schema": settings.splynx.db_schema}

    mrr_total: str
    gdpr_agreed: str
    id: int = Field(index=True)
    billing_type: str
    partner_id: int
    location_id: int
    added_by: str
    added_by_id: int
    login: str
    category: str
    name: str
    email: str
    billing_email: str
    phone: str
    street_1: str
    zip_code: str
    city: str
    status: str
    date_add: str
    last_online: str
    last_update: str
    daily_prepaid_cost: str
    gps: str | None
    conversion_date: str
    street_2: str
    # additional_attributes: AdditionalAttributes | None = None
    aa_customers_gpon_olt: str
    aa_id_erp: str = Field(primary_key=True)
    aa_report_first_service_amount: str
    aa_report_first_service_cancel_date: str
    aa_splynx_addon_resellers_reseller: str
